:root {
    --kc-warning-color: #f0ad4e;
    --kc-warning-color-hover: #ecaa4b;
    --kc-error-color: #BA1200;
    --kc-error-color-hover: #A91000;
}

html {
  font-size: 12px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
  color: var(--bs-secondary-color);
  text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
  text-align: start;
}

/* below are non default new styles - likely remove the above as needed*/

/* Title Bar
-------------------------------------------------- */

/* for the title bar */
.kc-section-header-top {
    margin-top: 0px;
    height: 40px;
    border-radius: 4px;
    display: flex;
    flex-direction: row;
    align-items: center;
    padding-left: 10px;
    background-color: #808080;
    color: white;
}

/* for the title bar button */
.kc-section-header-button {
    padding-top: 7px;
    padding-bottom: 7px;
    background-color: var(--b3-dark-blue);
    color: white;
}

/* for the title bar button */
.kc-section-header-button:hover {
    background-color: var(--b3-dark-blue-hover);
    color: white;
    text-decoration: none;
}

/* for the title bar button */
.kc-card-header-button {
    font-size: .85rem;
    padding-top: 2px;
    padding-bottom: 4px;
    background-color: var(--b3-gray);
    color: white;
}

/* for the title bar button */
.kc-card-header-button:hover {
    background-color: var(--b3-gray-hover);
    color: white;
    text-decoration: none;
}

/* for the title bar */
.kc-section-header-right {
    margin-right: 5px;
}

/* for the title bar */
.kc-section-header-left {
    flex-basis: 100%;
}

.kc-top-gap {
    margin-top: 6px;
}

/* Tabbed pages
-------------------------------------------------- */

/* nav bryt colors*/
.kc-side-nav .nav-link.active {
    background-color: var(--b3-admin-dark);
}

.kc-side-nav .nav-link {
    color: var(--b3-gray)
}

/* this is for the entire area tabbed page layout */
.kc-tabbed-page {
    margin-top: 6px;
    width: 100%;
    padding-left: 0px;
    padding-right: 0px;
}
/* hr without margins
-------------------------------------------------- */

.kc-hr {
    margin-top: -5px;
    margin-bottom: 5px;
}

/* Kendo grid general
-------------------------------------------------- */
th.k-header {
    font-weight: bold !important;
}

.k-grid-toolbar {
    padding: 3px !important;
}

.k-table {
    font-size: 12px !important;
}

/* header */
.k-grid-header .k-header {
    padding: 7.5px 6px 7.5px 6px;
}

.k-grid tbody tr {
    line-height: 14px !important;
    height: 32px;
    padding: 3px !important;
}

/* regular grid row */
.k-grid tbody td {
    padding: 3px !important;
}

/* search box*/
span.k-searchbox.k-input.k-input-md.k-rounded-md.k-input-solid.k-grid-search {
    height: 33px !important;
    font-size: 14px !important;
    margin-left: auto !important;
}

.k-toolbar {
    height: 40px;
}

.k-header-column-menu.k-state-active {
    background-color: transparent !important;
}

.k-icon.k-i-more-vertical.k-state-active {
    color: red !important;
}

.k-pager-wrap {
    padding: 3px 7.5px 3px 7.5px !important;
}

.k-icon.k-i-expand {
    padding: 0px 0px !important;
}

.k-item {
    font-size: 12px !important;
}

.k-item .k-link {
    padding: 6px 15px 6px 15px !important;
}

.k-detail-cell .k-content.k-state-active {
    padding: 4px 4px 4px 4px !important;
}

/* toolbar button*/
.k-grid-toolbar .k-button {
    padding: 6px 7.5px 6px 7.5px;
    font-size: 12px;
}

/* toolbar button*/
.k-grid-toolbar .k-button:hover {
    padding: 4px 7.5px 4px 7.5px;
    font-size: 12px;
}

tr .k-button {
    padding: 2px 6px 2px 6px;
    font-size: 12px;
}

.k-command-cell .k-button:hover {
    padding: 2px 6px 2px 6px;
    font-size: 12px;
}

.k-pager.k-grid-pager.k-pager-md {
    padding: 0px 5px 0px 5px !important;
}

/* form labels
-------------------------------------------------- */
form label {
    margin-bottom: 1px;
    font-size: .875rem;
    margin-left: 3px;
    color: #444;
}

/* Buttons
-------------------------------------------------- */

.kc-warning-button {
    background: var(--kc-warning-color) !important;
    color: white !important;
}

.kc-warning-button:focus {
    outline: none;
    box-shadow: none;
}

.kc-warning-button:hover {
    text-decoration: none;
    background-color: var(--kc-warning-color-hover);
    color: white;
}

/* Misc helpers
-------------------------------------------------- */

.hide {
    display: none;
}

.kc-std-font-size {
    font-size: .875rem;
}

/* Portal
-------------------------------------------------- */

.internal-wrapper {
    min-width: 325px;
    max-width: 525px;
}

.submit-button {
    width:150px;
}